Package Details: prey-node-client 1.9.1-1

Git Clone URL: https://aur.archlinux.org/prey-node-client.git (read-only, click to copy)
Package Base: prey-node-client
Description: Remote tracking and monitoring application for laptops, smartphones, and other electronic devices
Upstream URL: https://preyproject.com/
Licenses: GPL3
Replaces: prey-tracker
Submitter: lutoma
Maintainer: xpt
Last Packager: xpt
Votes: 30
Popularity: 0.063828
First Submitted: 2014-12-02 03:20
Last Updated: 2020-01-03 03:24

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

lutoma commented on 2015-02-03 16:29

I'm not an expert on the internals of prey, but it looks like the corresponding lines are trying to read /etc/issue, does that file exist? Or maybe some permission issue?

Either way, you should probably report it upstream.

daboka commented on 2015-02-03 15:01

I'm getting this output, when trying to log in (sudo prey config account setup) and the last line of it, when trying to do the same via the GUI. What should I do to fix this?


Credentials verified.
Linking device...
EXCEPTION! object is not a function
TypeError: object is not a function
at /opt/prey-node-client/node_modules/linus/index.js:19:14
at ChildProcess.exithandler (child_process.js:656:7)
at ChildProcess.emit (events.js:98:17)
at maybeClose (child_process.js:766:16)
at Socket.<anonymous> (child_process.js:979:11)
at Socket.emit (events.js:95:17)
at Pipe.close (net.js:466:12)
EXCEPTION! object is not a function
TypeError: object is not a function
at /opt/prey-node-client/node_modules/linus/index.js:19:14
at ChildProcess.exithandler (child_process.js:656:7)
at ChildProcess.emit (events.js:98:17)
at maybeClose (child_process.js:766:16)
at Socket.<anonymous> (child_process.js:979:11)
at Socket.emit (events.js:95:17)
at Pipe.close (net.js:466:12)

Anonymous comment on 2015-01-27 21:01

Note that need to by source_i686 not 3 and sha256sums_i686 too matchin what is no arch=().

lutoma commented on 2015-01-27 15:07

Just pushed a new PKGBUILD. Includes the version update (1.3.6) and fixed Python paths. For details check https://github.com/lutoma/pkgbuilds/compare/795ffb49335edf64053d59235ae539810115f588...master

Anonymous comment on 2015-01-14 23:11

I repport the lack of version on python sheebang to upstrea, they want fix that since is a python.org suggestion too.
maybe if you help them fix that this could land upstream faster.

erikw commented on 2015-01-14 20:42

That last comment from me applies to all python scripts, e.g. /opt/prey-node-client/lib/agent/actions/lock/linux/prey-lock.

erikw commented on 2015-01-14 20:28

The PKGBUILD must modify /opt/prey-node-client/lib/agent/actions/alert/linux/flash.py since it is a python2 script but in arch the binary "python" is a symlink to python3. Not doing this disables the feature of sending messages to stolen devices.

Anonymous comment on 2015-01-14 01:00

also look if the video thing is needed, ,aybe they fix it

Anonymous comment on 2015-01-14 00:59

https://github.com/prey/prey-node-client/tree/v1.3.6

hehe new release

lutoma commented on 2015-01-12 21:22

Thanks for the suggestions!
@mattlyons: I added xawtv, scrot & openssh as dependencies and fixed the video group fix
@erikw: prey is now also symlinked to /usr/bin/.